Como mudar a versão PHP do WordPress quando aparece uma mensagem de versão insegura do PHP

Se o seu WordPresss está mostrando uma mensagem semelhante a mensagem abaixo, você precisa alterar a versão do seu PHP.

“O WordPress detectou que este site está sendo executado em uma versão insegura do PHP.”

Isso geralmente acontece porque o servidor de hospedagem WordPress possui uma versão ultrapassada ou incompatível com a atual versão do WordPress. Mas não se preocupe, isso é muito simples de ser corrigido e vou mostrar para você como fazer isso.

Alterando a versão do PHP em Hospedagem com Cpanel

Se a hospedagem do WordPress utilizar o cpanel como painel é muito simples ajustar a versão do php.

Primeiro você deve logar no seu cpanel, claro! Em seguida você deve ir até a sessão Software.

Você deve ir clicar em Gerenciador de multiphp.

Agora você seleciona o domínio que deseja atualizar a versão do php. Selecione a versão mais recente do seu php e clique em aplicar. No exemplo abaixo a versão mais recente é a 7.3.

Pronto. Agora sua versão do php já está atualizada e o Wordpress com certeza estará mais seguro.

Alterando a versão do PHP em Hospedagem com Cpanel da Hostgator

Dependendo da sua hospedagem a alteração do php pode acontecer de forma diferente. A Hospedagem cpanel da Hostgator tem alguns recursos um pouco diferentes e a forma de mudar a versão do php também é diferente.

Após fazer login no Cpanel você deve ir até a sessão SOFTWARE. Em seguida você deve clicar em PHP SELECTOR

Clique em PUBLIC_HTML, e depois selecione a versão mais recente do php e clique em atualização.

Pronto. Sua instalação WordPress não terá mais problemas com a versão do PHP na Hospedagem de sites da Hostgator

Este tutorial é para hospedagens com o painel de controle chamado Cpanel e talvez sua hospedagem utilize um outro painel. Se for assim, você deve entrar em contato com seu provedor de hospedagem e solicitar instruções de como atualizar sua versão do php.

Como evitar problemas de incompatibilidade entre o WordPress e a versão do PHP

 Embora seja simples mudar a versão do PHP para o WordPress na maioria dos servidores, em alguns servidores essa alteração pode se tornar uma verdadeira dor de cabeça.

Por este motivo eu sempre indico você contratar uma hospedagem especializada em WordPress. Na hospedagem especializada todas as configurações são pensadas em rodar perfeitamente bem o WordPress.

Opões de hospedagem para WordPress

A primeira grande opção de hospedagem WordPress que eu indico é uma empresa internacional chamada DREAMHOST. Ela tem planos a partir de 2,59 dólares. A desvantagem é que você só consegue pagar com cartão de crédito internacional.

www.dreamhost.com

A segunda grande opção no meu entender é a hospedagem Wordpress da Hosgtator. Ela tem planos a partir de R$ 10,90/mês, no plano anual.

Hostagor.com.br

4 comentários em “Como mudar a versão PHP do WordPress quando aparece uma mensagem de versão insegura do PHP”

Deixe um comentário

O seu endereço de e-mail não será publicado. Campos obrigatórios são marcados com *